Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.translate
Interface ToJavaExt

All Superinterfaces:
  java.lang.Cloneable, polyglot.util.Copy, polyglot.ast.Ext

All Known Implementing Classes:
  ArrayAccessAssignToJavaExt_c, ArrayAccessToJavaExt_c, ArrayInitToJavaExt_c, BinaryToJavaExt_c, BlockToJavaExt_c, BranchToJavaExt_c, CallToJavaExt_c, CannotToJavaExt_c, CanonicalLabelNodeToJavaExt_c, CanonicalPrincipalNodeToJavaExt_c, CanonicalTypeNodeToJavaExt_c, CaseToJavaExt_c, CastToJavaExt_c, CatchToJavaExt_c, ClassBodyToJavaExt_c, ClassDeclToJavaExt_c, ConditionalToJavaExt_c, ConstructorCallToJavaExt_c, ConstructorDeclToJavaExt_c, DoToJavaExt_c, DowngradeExprToJavaExt_c, DowngradeStmtToJavaExt_c, EmptyToJavaExt_c, EvalToJavaExt_c, ExprToJavaExt_c, FieldAssignToJavaExt_c, FieldDeclToJavaExt_c, FieldToJavaExt_c, FormalToJavaExt_c, ForToJavaExt_c, IdToJavaExt_c, IfToJavaExt_c, ImportToJavaExt_c, InitializerToJavaExt_c, InstanceOfToJavaExt_c, LabeledToJavaExt_c, LabelExprToJavaExt_c, LitToJavaExt_c, LocalAssignToJavaExt_c, LocalDeclToJavaExt_c, LocalToJavaExt_c, MethodDeclToJavaExt_c, NewArrayToJavaExt_c, NewLabelToJavaExt_c, NewToJavaExt_c, PackageNodeToJavaExt_c, PrincipalExprToJavaExt_c, ReturnToJavaExt_c, SourceFileToJavaExt_c, SpecialToJavaExt_c, SwitchBlockToJavaExt_c, SwitchToJavaExt_c, SynchronizedToJavaExt_c, ThrowToJavaExt_c, ToJavaExt_c, TryToJavaExt_c, UnaryToJavaExt_c, WhileToJavaExt_c

    public interface ToJavaExt

extends polyglot.ast.Ext

Method Summary
`polyglot.ast.Node` | `toJava(JifToJavaRewriter rw)`
`polyglot.visit.NodeVisitor` | `toJavaEnter(JifToJavaRewriter rw)`

Methods inherited from interface polyglot.ast.Ext
`dump, ext, ext, init, node`

Methods inherited from interface polyglot.util.Copy
`copy`

Method Detail

### toJavaEnter

    polyglot.visit.NodeVisitor toJavaEnter(JifToJavaRewriter rw)
                                           throws polyglot.types.SemanticException

  Throws:
    `polyglot.types.SemanticException`

### toJava

    polyglot.ast.Node toJava(JifToJavaRewriter rw)
                             throws polyglot.types.SemanticException

  Throws:
    `polyglot.types.SemanticException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD